# Blob

The *Blob* input plugin accepts blob (binary) files.

## Configuration parameters

The plugin supports the following configuration parameters:

| Key                                 | Description                                                                                                                                                                                                                                                      | Default  |
| ----------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `alias`                             | Sets an alias for multiple instances of the same output plugin.                                                                                                                                                                                                  | *none*   |
| `database_file`                     | Database file.                                                                                                                                                                                                                                                   | *none*   |
| `exclude_pattern`                   | Pattern to exclude.                                                                                                                                                                                                                                              | *none*   |
| `log_level`                         | Specifies the log level for output plugin. If not set here, plugin uses global log level in `service` section.                                                                                                                                                   | `info`   |
| `log_supress_interval`              | Suppresses log messages from output plugin that appear similar within a specified time interval. `0` no suppression.                                                                                                                                             | `0`      |
| `mem_buf_limit`                     | Set a memory buffer limit for the input plugin instance in bytes. If the limit is reached, the plugin will pause until the buffer is drained. If set to 0, the buffer limit is disabled. If the plugin has enabled filesystem buffering, this limit won't apply. | `0`      |
| `path`                              | Path to scan for blob (binary) files.                                                                                                                                                                                                                            | *none*   |
| `routable`                          | If `true`, the data generated by the plugin can be forwarded to other plugins or outputs. If `false`, the data will be discarded.                                                                                                                                | `true`   |
| `scan_refresh_interval`             | Set the interval time to scan for new files.                                                                                                                                                                                                                     | `2s`     |
| `storage.pause_on_chunks_overlimit` | Enable pausing on an input when they reach their chunks limit.                                                                                                                                                                                                   | `false`  |
| `storage.type`                      | Sets the storage type for this input, one of `filesystem`, `memory` or `memrb`.                                                                                                                                                                                  | `memory` |
| `tag`                               | Set a tag for the events generated by this input plugin.                                                                                                                                                                                                         | *none*   |
| `threaded`                          | Indicates whether to run this input in its own [thread](/manual/4.1/administration/multithreading.md#inputs).                                                                                                                                                    | `false`  |
|                                     |                                                                                                                                                                                                                                                                  |          |
| `threaded.ring_buffer.capacity`     | Set custom ring buffer capacity when the input runs in threaded mode.                                                                                                                                                                                            | `1024`   |
| `threaded.ring_buffer.window`       | Set custom ring buffer window percentage for threaded inputs.                                                                                                                                                                                                    | `5`      |
| `upload_success_action`             | Field is string for action on success.                                                                                                                                                                                                                           | *none*   |
| `upload_success_suffix`             | Field is string for suffix on success.                                                                                                                                                                                                                           | *none*   |
| `upload_success_message`            | Field is string for message on success.                                                                                                                                                                                                                          | *none*   |
| `upload_failure_action`             | Field is string for action on failure.                                                                                                                                                                                                                           | *none*   |
| `upload_failure_suffix`             | Field is string for suffix on failure.                                                                                                                                                                                                                           | *none*   |
| `upload_failure_message`            | Field is string for message on failure.                                                                                                                                                                                                                          | *none*   |

## Get started

You can run the plugin from the command line or through the configuration file:

### Command line

Run the plugin from the command line using the following command:

```shell
fluent-bit -i blob --prop "path=[SOME_PATH_TO_BINARY_FILES]" -o stdout
```

which returns results like the following:

```
...
[2025/11/05 17:39:32.818356000] [ info] [input:blob:blob.0] initializing
[2025/11/05 17:39:32.818362000] [ info] [input:blob:blob.0] storage_strategy='memory' (memory only)
...
```

### Configuration file

In your main configuration file append the following:

{% tabs %}
{% tab title="fluent-bit.yaml" %}

```yaml
pipeline:
  inputs:
    - name: blob
      path: '[PATH_TO_BINARY_FILES]'

  outputs:
    - name: stdout
      match: '*'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluentbit.io/manual/4.1/data-pipeline/inputs/blob.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
